import { BusContext, BusMessage, BusSubscriber } from "../../../../foundation/service/api-bus/busManager";
export declare class RequestBusSubscriber extends BusSubscriber {
    private instanceId;
    constructor(instanceId: string);
    actionNames(): string[];
    protected request(context: BusContext, message: BusMessage): Promise<void>;
    protected getEnvInfo(context: BusContext, message: BusMessage): Promise<void>;
    protected getUserAgent(context: BusContext, message: BusMessage): void;
    onMessage(context: BusContext, message: BusMessage): void;
}
